;========================================================
;ATXconfig.ini INI file data
;========================================================

;section names
section_general 	    db	    "General",0
section_vars		    db	    "Variables",0
section_mxt		    db	    "MatrixTres",0
section_fly		    db	    "FlyCheat",0
section_keys		    db	    "HotKeys",0
section_ai		    db	    "AISettings",0
section_troubleshooting     db	    "Troubleshooting",0
section_actjumpnew	    db	    "ActJumpNewSettings",0
section_videorecording	    db	    "VideoRecording",0

;key names
key_sdbg	    db	    "EnableTimedTresStrDbg",0
key_wndo	    db	    "EnableWindowedMode",0
key_dems	    db	    "DisableDemoExitScreen",0
key_dswp	    db	    "DisableSwapFileDeletion",0
key_rand	    db	    "EnableDinoRandomizer",0
key_highres	    db	    "EnableHighResolutions",0
key_gamediff	    db	    "GameDifficulty",0

key_draw	    db	    "ObjectClarityDrawDistance",0
key_grav	    db	    "Gravity",0
key_gspd	    db	    "NormalGameSpeed",0

key_flyd	    db	    "InputAutoRepeatDelay",0
key_flys	    db	    "PlayerMovementSpeed",0

key_mxtb	    db	    "EnableMXTOnActBite",0
key_intr	    db	    "MinMXTSlowdownDuration",0
key_slow	    db	    "BIONICWOMANMXTSlowdownSpeed",0
key_mxtr	    db	    "ActBitePlayerDinoRadius",0

key_ktog	    db	    "ToggleNewKeys",0
key_kmap	    db	    "Toggle2DMapDisplay",0
key_kdom	    db	    "ToggleDinosOnMap",0
key_kdrs	    db	    "DecreaseDrawDistance",0
key_kdra	    db	    "IncreaseDrawDistance",0
key_kcan	    db	    "ToggleCANIMALInfoDisplay",0
key_kmse	    db	    "ToggleSelectedDinoOnMap",0
key_kcal	    db	    "CycleCANIMALInfoLeft",0
key_kcar	    db	    "CycleCANIMALInfoRight",0

key_ainb	    db	    "AllowDinosInBuildings",0
key_stnr	    db	    "ForceNoStayNearTarget",0
key_staw	    db	    "ForceNoStayAwayTarget",0
key_dpts	    db	    "AddHitPointsToAllDinos",0
key_frez	    db	    "AddFreezeDistanceToAllDinos",0

key_noa3d	    db	    "DisableA3DdllDetection",0

key_nojump	    db	    "DisableActJumpNew",0
key_pushdef	    db	    "DefaultPush",0
key_jumpadef	    db	    "DefaultJumpAngle",0
key_jumptdef	    db	    "DefaultJumpTendancy",0
key_reppdef	    db	    "DefaultRepeatPeriod",0

key_recenable	    db	    "EnableVideoRecording",0
key_width	    db	    "Width",0
key_height	    db	    "Height",0
key_framerate	    db	    "Framerate",0
key_maxframes	    db	    "MaxFrameCount",0
key_bpp 	    db	    "BitsPerPixel",0

;========================================================
  ;default values
fly_speed_str		db	"0.070000",0
fly_delay_int		equ	10
DefaultMXTRadius	db	"15.00000",0
DefaultSlowSpeed_CONST	db	"0.400000",0
DefaultInterval_CONST	equ	4000

INI_Push_Def		db	"65.000000",0
INI_JumpAngle_Def	db	"65.000000",0
INI_JumpTDef		equ	75
INI_RepeatPDef		equ	8000

;========================================================
  ;dd   procedure,section,key,default value or pointer to,destination

INI_ENTRIES_TABLE:
   dd	INI_INT_PROC,section_general,key_sdbg,0,UseTRESSTRDBG
   dd	INI_INT_PROC,section_general,key_wndo,0,UseWINDOWED
   dd	INI_INT_PROC,section_general,key_dems,1,UseDEMOHACK
   dd	INI_INT_PROC,section_general,key_dswp,0,UseDisableSWPDelete
   dd	INI_INT_PROC,section_general,key_rand,1,UseRandomDinoLocations
   dd	INI_INT_PROC,section_general,key_highres,1,UseHighResolutionsHack
   dd	INI_INT_PROC,section_general,key_gamediff,2,GameDifficultyValue

   dd	INI_FLOAT_PROC,section_vars,key_draw,ZERO_STRING,UseDRAWDISTANCE
   dd	INI_FLOAT_PROC,section_vars,key_grav,ZERO_STRING,UseGRAVITY
   dd	INI_FLOAT_PROC,section_vars,key_gspd,ZERO_STRING,NormalGameSpeed

   dd	INI_INT_PROC,section_fly,key_flyd,fly_delay_int,UseFlyKeyDelay
   dd	INI_FLOAT_PROC,section_fly,key_flys,fly_speed_str,UseFlySpeed

   dd	INI_INT_PROC,section_mxt,key_mxtb,0,UseMXTBITE
   dd	INI_INT_PROC,section_mxt,key_intr,DefaultInterval_CONST,DefaultInterval
   dd	INI_FLOAT_PROC,section_mxt,key_slow,DefaultSlowSpeed_CONST,DefaultSlowSpeed
   dd	INI_FLOAT_PROC,section_mxt,key_mxtr,DefaultMXTRadius,UseMXTRadius

   dd	INI_KEY_PROC,section_keys,key_ktog,ZERO_STRING,UseToggleNewKeys
   dd	INI_KEY_PROC,section_keys,key_kmap,ZERO_STRING,UseUserMapKey
   dd	INI_KEY_PROC,section_keys,key_kdom,ZERO_STRING,UseUserMDinoKey
   dd	INI_KEY_PROC,section_keys,key_kdrs,ZERO_STRING,UseDrawDistSubKey
   dd	INI_KEY_PROC,section_keys,key_kdra,ZERO_STRING,UseDrawDistAddKey
   dd	INI_KEY_PROC,section_keys,key_kcan,ZERO_STRING,UseCANIMALKey
   dd	INI_KEY_PROC,section_keys,key_kmse,ZERO_STRING,UseUserMSelKey
   dd	INI_KEY_PROC,section_keys,key_kcal,ZERO_STRING,UseUserCANIMALLEFTKey
   dd	INI_KEY_PROC,section_keys,key_kcar,ZERO_STRING,UseUserCANIMALRIGHTKey

   dd	INI_INT_PROC,section_ai,key_ainb,0,UseNoGetOut
   dd	INI_INT_PROC,section_ai,key_stnr,0,UseNoStayNear
   dd	INI_INT_PROC,section_ai,key_staw,0,UseNoStayAway
   dd	INI_FLOAT_PROC,section_ai,key_dpts,ZERO_STRING,UseCAnimalHitPoints
   dd	INI_FLOAT_PROC,section_ai,key_frez,ZERO_STRING,UseSleepWake

   dd	INI_INT_PROC,section_troubleshooting,key_noa3d,0,UseDisableA3Ddll

   dd	INI_INT_PROC,section_actjumpnew,key_nojump,0,UseDisableActJumpNew
   dd	INI_STR_PROC,section_actjumpnew,key_pushdef,INI_Push_Def,Push_INIdef
   dd	INI_STR_PROC,section_actjumpnew,key_jumpadef,INI_JumpAngle_Def,JumpAngle_INIdef
   dd	INI_INT_PROC,section_actjumpnew,key_jumptdef,INI_JumpTDef,JumpTendancy_INIdef
   dd	INI_INT_PROC,section_actjumpnew,key_reppdef,INI_RepeatPDef,RepeatPeriod_INIdef

   dd	INI_INT_PROC,section_videorecording,key_recenable,1,NoVideoCapture_BOOL
   dd	INI_INT_PROC,section_videorecording,key_width,320,dibfileheader.BitmapData.biWidth
   dd	INI_INT_PROC,section_videorecording,key_height,240,dibfileheader.BitmapData.biHeight
   dd	INI_INT_PROC,section_videorecording,key_framerate,20,dibfileheader.Framerate
   dd	INI_INT_PROC,section_videorecording,key_maxframes,2500,dibfileheader.MaxFrameCount
   dd	INI_INT_PROC,section_videorecording,key_bpp,DEFAULT_VIDEO_BPP,vrdef_dibcolors
INI_ENTRIES_TABLE_END:

;========================================================
