;============================================================
;displays CAnimal info (positions, etc.)
;============================================================
DisplayDinoInfoMain:
push ebp
mov ebp,esp
sub esp,100

;GET BACK BUFFER SURFACE
	mov eax,[BaseDDSurfaceADDR]
	mov ecx,[eax]
	call [EXEPROC_GETDDSURFDC]	;GetDC for DDraw surface via EXE
	mov edi,eax

;TITLE
	invoke TextOut,edi,0,Base_CAnimal_display,canimal_title,[canimal_title_size]

cmp [CAnimal_Names_INDEX],0
    jz NoDinoDisplay_1
cmp [CAnimal_BUF],0
    jz NoDinoDisplay_1
cmp [CAnimal_BUF_SIZE],0
    jz NoDinoDisplay_1

	mov ecx,[DisplayDino_INDEX]
	mov eax,[CAnimal_Names_INDEX]
	mov edx,[eax+ecx]

	add edx,[CAnimal_Names_BUF]

;INSTANCE NAME
	mov ecx,edx
	FINDSTRINGEND ecx
	sub ecx,edx

	invoke TextOut,edi,10h,Base_CAnimal_display+10h,edx,ecx

	mov ecx,[DisplayDino_INDEX]
	mov eax,[CAnimal_BUF]
	mov ebx,[eax+ecx]		;ebx=CAnimal instance

;INSTANCE BASE ADDRESS
	lea edx,[ebp-100]
	invoke wsprintf,edx,canimal_base_addr,ebx
	add esp,12

	lea edx,[ebp-100]
	invoke TextOut,edi,10h,Base_CAnimal_display+20h,edx,eax

;LOCATION
	sub esp,24
	fld DWORD [ebx+30h]
	fstp QWORD [esp]
	fld DWORD [ebx+34h]
	fstp QWORD [esp+8]
	fld DWORD [ebx+38h]
	fstp QWORD [esp+16]

	lea edx,[ebp-100]
	invoke sprintf,edx,canimal_pos
	add esp,32

	lea edx,[ebp-100]
	invoke TextOut,edi,10h,Base_CAnimal_display+30h,edx,eax

;HEALTH
	sub esp,8
	fld DWORD [ebx+50h]
	fstp QWORD [esp]
	lea edx,[ebp-100]
	invoke sprintf,edx,canimal_health
	add esp,16

	lea edx,[ebp-100]
	invoke TextOut,edi,10h,Base_CAnimal_display+40h,edx,eax

;MAX HEALTH
	sub esp,8
	fld DWORD [ebx+54h]
	fstp QWORD [esp]
	lea edx,[ebp-100]
	invoke sprintf,edx,canimal_maxhealth
	add esp,16

	lea edx,[ebp-100]
	invoke TextOut,edi,10h,Base_CAnimal_display+50h,edx,eax

;JUMP INFO
	mov eax,[DisplayDino_INDEX]
	lea ecx,[eax+eax*4]
	add ecx,[CAnimal_JUMP_Info_BUF]
	push [ecx+jump_info.LastTickCount]
	push [ecx+jump_info.RepeatPeriod]
	push [ecx+jump_info.JumpTendancy]
	sub esp,16
	fld DWORD [ecx+jump_info.JumpAngle]
	fstp QWORD [esp+8]
	fld DWORD [ecx+jump_info.Push]
	fstp QWORD [esp]

	lea edx,[ebp-100]
	invoke sprintf,edx,canimal_jumpinfo
	add esp,36
	lea edx,[ebp-100]
	invoke TextOut,edi,10h,Base_CAnimal_display+60h,edx,eax

;BRAVERY VALUE
	mov eax,[ebx+0DCh]
	fld DWORD [eax+264h]
	sub esp,8
	fstp QWORD [esp]
	lea edx,[ebp-100]
	invoke sprintf,edx,canimal_bravery
	add esp,16

	lea edx,[ebp-100]
	invoke TextOut,edi,20h,Base_CAnimal_display+70h,edx,eax

;AI EMOS LOOP
	xor eax,eax
	canimal_emos_display_loop:
	mov [ebp-4],eax
	mov edx,[ebx+0DCh]	;edx=main AI sub-class
	mov ecx,[edx+4h]	;ecx=main emos sub-class
	mov edx,[eax*4+canimal_emos_offsets_table] ;edx=offset in class
	fld DWORD [edx+ecx]
	sub esp,8
	fstp QWORD [esp]
	mov eax,[eax*4+canimal_emos_text_table]
	lea edx,[ebp-100]
	invoke sprintf,edx,eax
	add esp,16

	mov ecx,[ebp-4]
	shl ecx,4
	lea ecx,[Base_CAnimal_display+80h+ecx]
	lea edx,[ebp-100]
	invoke TextOut,edi,20h,ecx,edx,eax

	mov eax,[ebp-4]
	add eax,1
	cmp eax,canimal_emos_count
	    jb canimal_emos_display_loop



NoDinoDisplay_1:
;RELEASE SURFACE
	mov eax,[BaseDDSurfaceADDR]
	push edi		 ;DDraw ReleaseDC
	mov ecx,[eax]
	call [EXEPROC_RELEASEDDSURFDC]

mov esp,ebp
pop ebp
ret